Shoplive Developers
한국어KOEnglishEN日本語JA

Shoplive API リファレンス

このページは、公式ドキュメントと同じソースから生成された、Shoplive External API v2の全エンドポイントリファレンスです。APIをはじめて使う方は、認証と3つのエンドツーエンドのテーマを扱うスタートガイドから始めてください。

リクエストヘッダー

JWT トークンの発行

JWTペイロードを生成する際は、

  1. expは十分に先の時点に設定してください(以下の例では3年後に設定しています)

  2. ペイロードにaccessKeyを入れます。値は{accessKey}パスパラメータと同じです。

  3. HS256でJWTに署名します。署名キーには、シークレットキーをBase64デコードした値を使用します。

JWTはHTTPリクエストのヘッダーで送信する必要があります。

java
import io.jsonwebtoken.JwtBuilder;
import io.jsonwebtoken.Jwts;
import io.jsonwebtoken.SignatureAlgorithm;
import java.util.Date;
public class JwtAuthorizationGeneratorSample {
    public static void main(String[] args) {

        String algorithm = "HS256";
        String base64EncodedSecretKey = "{secretKey}";
        long expiration = System.currentTimeMillis() + 3 * 365 * 24 * (60 * 60 * 1000L);
        String accessKey = "{accessKey}";

        JwtBuilder builder = Jwts.builder()
            .signWith(SignatureAlgorithm.forName(algorithm), base64EncodedSecretKey)
            .setExpiration(new Date(expiration))
            .setIssuedAt(new Date())
            .claim("accessKey", accessKey);
      
        String jwt = builder.compact();
        System.out.printf("jwt: " + jwt);
    }
}

ヘッダーでJWTを使用する例を以下に示します。

bash
curl --location --request GET 'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKey}' \ 
--header 'Authorization: Bearer {JWT_TOKEN}'

トークンがない、または正しくない場合は401(_s: -824)、有効期限が切れている場合は401(_s: -412)が返されます。

次へ → Campaign オブジェクト

配信 API

Campaign オブジェクト

プロパティ名

型

説明

campaignMeta

CampaignMeta!

配信のメタ情報

stream

Stream!

配信のストリーム情報

campaignProductList

List<CampaignProduct>?

CampaignProduct オブジェクトのリストです。

seller

Seller?

配信のセラー情報

CampaignMeta オブジェクト

プロパティ名

型

読み取り専用

説明

campaignId

String!

O

自動生成される配信の識別子です。(数値の文字列)

campaignKey

String!

O

自動生成されるキー(最大32バイトの英数字)です。このキーはAPI呼び出しで配信を指定する際に使用します。

accessKey

String!

O

顧客ごとに一意のキーです。ほとんどのShoplive APIでこのaccessKeyが必要です。

shoplivePlayerUrl

String!

O

テスト視聴用にShopliveが提供するプレイヤーURL

title

String!

配信のタイトル

description

String?

配信の説明

campaignStatus

String!

O

RESERVED, READY, REHEARSAL, ONAIR, ENDED

rerun

Boolean!

O

配信が再配信かどうかを示すbooleanフラグです。

userCount

Integer?

O

配信ステータスがONAIRまたはREHEARSALの場合のリアルタイム視聴者数です。

配信が終了した際の総視聴者数です。(配信ステータスがENDEDの場合)

※配信ステータスがREADYの場合はnullです。

concurrentUserCount

Integer?

O

配信ステータスがONAIRまたはREHEARSALの場合のリアルタイム同時視聴者数です。

※配信ステータスがREADYまたはENDEDの場合はnullです。

likeCount

Integer?

O

campaignStatus READY: null campaignStatus REHEARSAL: リアルタイムのいいね数 campaignStatus ONAIR: リアルタイムのいいね数 campaignStatus ENDED: 総いいね数

rehearsalPasscode

String!

リハーサルモードでライブ配信に入るためのパスコード

serveReplay

Boolean!

配信終了後にリプレイを提供するかどうか

logoImageUrl

String?

O

ロゴ画像のURL

brand

Brand?

Brand オブジェクト

preCampaignVideoUrl

String?

配信前動画のURL

preCampaignImageUrl

String?

配信前画像のURL

postCampaignImageUrl

String?

配信終了後画像のURL

backgroundImageUrl

String?

背景画像のURL

ieUnsupportImageUrl

String?

IEブラウザ用の画像

tags

List?

配信に設定されたタグ情報 (最大10個まで設定可能)

scheduledStartAt

String!

配信の予定開始日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

scheduledEndAt

String?

配信の予定終了日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

campaignStartedAt

String?

O

配信の実際の開始日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

campaignEndedAt

String?

O

配信の実際の終了日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

createdAt

String!

O

配信の作成日時(UTC)(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

updatedAt

String!

O

配信の最終更新日時(UTC)(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

Stream オブジェクト

プロパティ名

型

説明

streamUrl

String!

OBSなどの配信ソフトウェア用のRTMPストリームURL情報

streamKey

String!

OBSなどの配信ソフトウェア用のRTMPストリームキー情報

videoAspectRatio

String!

動画のアスペクト比。9:16(縦向き)または16:9(横向き)

liveUrl

String!

ライブ配信のマスターm3u8 URLです。

liveUrls

Map<String, String>?

解像度別(320p, 480p, 720p, 1080p)のライブ配信m3u8 URLのセットです。

previewLiveUrl

String!

プレビュー動画(320p解像度)のm3u8 URLです。プレビューはWebブラウザで動画サムネイルを実装するための動画フォーマットです。

replayLiveUrl

String?

リプレイ配信のマスターm3u8 URLです。この値は配信終了後にのみ設定されます。

replayLiveUrls

Map<String, String>?

解像度別(320p, 480p, 720p, 1080p)のリプレイ配信m3u8 URLのセットです。

previewReplayLiveUrl

String?

プレビューリプレイ動画(320p解像度)のm3u8 URLです。プレビューはWebブラウザで動画サムネイルを実装するための動画フォーマットです。この値は配信終了後にのみ設定されます。URLのクエリ文字列でpreviewパラメータの値が1に指定されている場合、プレビューリプレイ動画の再生によるデータ使用量がクォータ使用量に含まれることを示します。

CampaignProduct オブジェクト

プロパティ名

型

説明

productId

String!

自動生成される商品の一意なID

customerProductId

String?

顧客の商品IDで、一意である必要があります(顧客側で定義)。customerProductIdはProduct APIでのみ設定でき、Shoplive Adminツールにはこの項目の入力欄がありません。

name

String!

商品の名前

brand

String?

ブランド名

description

String?

商品の説明

brandIdentifier

String?

ブランドキー

url

String!

商品のURLです。Shopliveプレイヤーで商品情報をクリックした際の遷移先URLです。

sku

String?

商品のSKU情報(顧客側で定義)

imageUrl

String?

商品のサムネイル画像URLです。Shopliveは商品オブジェクトの作成時に自動的にサムネイルURLを生成します。

currency

String!

価格の通貨

showPrice

Boolean!

価格を表示するかどうか

originalPrice

Double?

例: 20.00(通貨がUSDの場合は$20.00)

discountPrice

Double?

例: 15.00(通貨がUSDの場合は $15.00)

discountRate

Double?

例: 25.00(割引率が25%の場合)

enableAuction

Boolean!

商品がオークション商品かどうか

bidStartingPrice

Double?

オークションの開始価格(例: 0.99)

bidDuration

Integer?

オークションの入札時間(秒)

bidIncrementalAmount

Double?

入札の増加額

extendBidDuration

Boolean?

オークション終了間際に入札があった場合に、入札の残り時間を延長するかどうかです。延長時間は顧客のオークション設定に従います。

ctaButtonTitle

String?

商品に表示されるCTA(行動喚起)ボタンのタイトルです。UIのカスタマイズが必要なため、Shopliveとの協議が必要です。

seller

Seller?

商品を所有するセラーの情報

createdAt

String!

商品が作成された日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

updatedAt

String!

商品が更新された日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

campaignId

String!

自動生成される配信の識別子です。(数値の文字列)

visible

Boolean?

商品の'visible'ステータスです。

purchasable

Boolean?

商品の'purchasable'ステータスです。

showingNow

Boolean!

商品の「Now」表示ステータスです。(=pin)

sortOrder

Integer!

商品の表示順序です。(=listOrder)

stockStatus

String!

IN_STOCK, LOW_IN_STOCK , SOLD_OUT

auction

Auction?

商品のオークション情報です。

Auction オブジェクト

プロパティ名

型

説明

productId

String!

自動生成される商品の一意なID

auctionStatus

String!

READY, ONGOING, ENDING, ENDED

startingPrice

Double!

オークションの開始価格

bidRound

Integer!

オークションの入札ラウンド

currentPrice

Double!

オークションの現在価格

winningPrice

Double?

オークションの落札価格

recommendedPrices

List<Double>?

オークションの推奨入札価格

winner

Bidder?

オークションの落札者です。

leader

Bidder?

オークションの最高入札者です。

winnerCheckoutScheme

String?

落札者が商品を購入できるアプリスキームです。

startedAt

Number?

オークションの実際の開始日時(形式: ミリ秒単位のタイムスタンプ)

endingAt

Number?

オークションの予想終了日時(形式: ミリ秒単位のタイムスタンプ)

endedAt

Number?

オークションの実際の終了日時(形式: ミリ秒単位のタイムスタンプ)

Bidder オブジェクト

プロパティ名

型

説明

uid

String!

自動生成されるユーザーの識別子です。(数字形式の文字列)

userId

String?

ユーザーの識別子です。(顧客側で定義)

name

String!

ユーザーの名前です。


サンプル

json
{
    "campaignMeta": {
        "campaignId": "1234",
        "campaignKey": "{campaignKey}",
        "accessKey": "{accessKey}",
        "shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
        "title": "Shoplive Liveshow",
        "description": "Liveshow description",
        "tags": [ "tag1", "tag2" ],
        "campaignStatus": "READY",
        "userCount": null,
        "likeCount": null,
        "rehearsalPasscode": "9876",
        "serveReplay": false,
        "logoImageUrl": null,
        "preCampaignVideoUrl": null,
        "preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
        "postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
        "backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
        "ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
        "scheduledStartAt": "2026-11-01T09:00:00Z",
        "scheduledEndAt": "2026-11-01T10:00:00Z",
        "campaignStartedAt": null,
        "campaignEndedAt": null,
        "createdAt": "2026-11-01T08:15:00Z",
        "updatedAt": "2026-11-01T08:29:09Z"
    },
    "stream": {
        "streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
        "streamKey": "{streamKey}",
        "videoAspectRatio": "9:16",
        "liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
        "liveUrls": {
            "720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8",
            "480p": "https://live.shoplive.cloud/live/{streamKey}_480p/playlist.m3u8" 
        },
        "previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_480p/index.m3u8",
        "replayLiveUrl": null,
        "replayLiveUrls": null,
        "previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
    },
    "campaignProductList": [
        {
            "productId": "1001",
            "customerProductId": "SHOPLIVE_PRODUCT_1",
            "name": "Keyring",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU001",
            "imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 20.0,
            "discountPrice": 10.0,
            "discountRate": 50.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 1,
            "stockStatus": "IN_STOCK",
            "auction": null
        },
        {
            "productId": "1002",
            "customerProductId": "SHOPLIVE_PRODUCT_2",
            "name": "Hoodie",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU002",
            "imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 50.0,
            "discountPrice": 37.0,
            "discountRate": 26.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 2,
            "stockStatus": "LOW_IN_STOCK",
            "auction": null
        },
        {
            "productId": "1003",
            "customerProductId": "SHOPLIVE_PRODUCT_3",
            "name": "T-Shirts",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU003",
            "imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 30.0,
            "discountPrice": 28.0,
            "discountRate": 6.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": false,
            "sortOrder": 3,
            "stockStatus": "SOLD_OUT",
            "auction": null
        },
        {
            "productId": "1004",
            "customerProductId": "SHOPLIVE_PRODUCT_4",
            "name": "Mug",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU004",
            "imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 10.0,
            "discountPrice": 7.0,
            "discountRate": 30.0,
            "enableAuction": true,
            "bidStartingPrice": 7.0,
            "bidDuration": 120,
            "bidIncrementalAmount": 1.0,
            "extendBidDuration": true,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": false,
            "sortOrder": 4,
            "stockStatus": "IN_STOCK",
            "auction": {
                "productId": "1004",
                "auctionStatus": "READY",
                "startingPrice": 7.0,
                "bidRound": 1,
                "currentPrice": 7.0,
                "winningPrice": null,
                "recommendedPrices": null,
                "winner": null,
                "leader": null,
                "winnerCheckoutScheme": null,
                "startedAt": null,
                "endingAt": null,
                "endedAt": null
            }
        },
        {
            "productId": "1005",
            "customerProductId": "SHOPLIVE_PRODUCT_5",
            "name": "Ballcap",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU005",
            "imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 18.0,
            "discountPrice": 14.0,
            "discountRate": 22.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": false,
            "sortOrder": 5,
            "stockStatus": "IN_STOCK",
            "auction": null
        }
    ],
    "seller": {
        "sellerId": "1",
        "name": "Shoplive Product Store",
        "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
        "storeUrl": "https://shoplive.cloud",
        "description": "Description of the seller",
        "schemes": null,
        "sellerIdentifier": "seller_identifier"
    }
}

 

campaignStatus: ONAIRの場合

json
{
    "campaignMeta": {
        "campaignId": "1234",
        "campaignKey": "{campaignKey}",
        "accessKey": "{accessKey}",
        "shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
        "title": "Shoplive Liveshow",
        "description": "Liveshow description",
        "tags": [ "tag1", "tag2" ],
        "campaignStatus": "ONAIR",
        "userCount": 123,
        "likeCount": 3132,
        "rehearsalPasscode": "9876",
        "serveReplay": false,
        "logoImageUrl": null,
        "preCampaignVideoUrl": null,
        "preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
        "postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
        "backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
        "ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
        "scheduledStartAt": "2026-11-01T09:00:00Z",
        "scheduledEndAt": "2026-11-01T10:00:00Z",
        "campaignStartedAt": "2026-11-01T09:10:05Z",
        "campaignEndedAt": null,
        "createdAt": "2026-11-01T08:15:00Z",
        "updatedAt": "2026-11-01T08:29:09Z"
    },
    "stream": {
        "streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
        "streamKey": "{streamKey}",
        "videoAspectRatio": "9:16",
        "liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
        "liveUrls": {
            "720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8" 
        },
        "previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
        "replayLiveUrl": null,
        "replayLiveUrls": null,
        "previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
    },
    "campaignProductList": [
        {
            "productId": "1001",
            "customerProductId": "SHOPLIVE_PRODUCT_1",
            "name": "Keyring",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU001",
            "imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 20.0,
            "discountPrice": 10.0,
            "discountRate": 50.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 1,
            "stockStatus": "SOLD_OUT",
            "auction": null
        },
        {
            "productId": "1002",
            "customerProductId": "SHOPLIVE_PRODUCT_2",
            "name": "Hoodie",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU002",
            "imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 50.0,
            "discountPrice": 37.0,
            "discountRate": 26.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 2,
            "stockStatus": "LOW_IN_STOCK",
            "auction": null
        },
        {
            "productId": "1003",
            "customerProductId": "SHOPLIVE_PRODUCT_3",
            "name": "T-Shirts",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU003",
            "imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 30.0,
            "discountPrice": 28.0,
            "discountRate": 6.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": false,
            "sortOrder": 3,
            "stockStatus": "IN_STOCK",
            "auction": null
        },
        {
            "productId": "1004",
            "customerProductId": "SHOPLIVE_PRODUCT_4",
            "name": "Mug",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU004",
            "imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 10.0,
            "discountPrice": 7.0,
            "discountRate": 30.0,
            "enableAuction": true,
            "bidStartingPrice": 7.0,
            "bidDuration": 120,
            "bidIncrementalAmount": 1.0,
            "extendBidDuration": true,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 4,
            "stockStatus": "IN_STOCK",
            "auction": {
                "productId": "1004",
                "auctionStatus": "ONGOING",
                "startingPrice": 7.0,
                "bidRound": 3,
                "currentPrice": 9.0,
                "winningPrice": null,
                "recommendedPrices": [
                    10.0
                ],
                "winner": null,
                "leader": {
                    "uid": "350964901054939144",
                    "userId": "test@shoplive.cloud",
                    "name": "ShopliveUser-1"
                },
                "winnerCheckoutScheme": null,
                "startedAt": 1793524830000,
                "endingAt": 1793524950000,
                "endedAt": null
            }
        },
        {
            "productId": "1005",
            "customerProductId": "SHOPLIVE_PRODUCT_5",
            "name": "Ballcap",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU005",
            "imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 18.0,
            "discountPrice": 14.0,
            "discountRate": 22.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": false,
            "sortOrder": 5,
            "stockStatus": "IN_STOCK",
            "auction": null
        }
    ],
    "seller": {
        "sellerId": "1",
        "name": "Shoplive Product Store",
        "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
        "storeUrl": "https://shoplive.cloud",
        "description": "Description of the seller",
        "schemes": null
    }
}

 

campaignStatus: ENDEDの場合

json
{
    "campaignMeta": {
        "campaignId": "1234",
        "campaignKey": "{campaignKey}",
        "accessKey": "{accessKey}",
        "shoplivePlayerUrl": "https://www.shoplive.show/v1/player.html?ak={accessKey}&ck={campaignKey}",
        "title": "Shoplive Liveshow",
        "description": "Liveshow description",
        "tags": [ "tag1", "tag2" ],
        "campaignStatus": "ENDED",
        "userCount": 15923,
        "likeCount": 102683,
        "rehearsalPasscode": "9876",
        "serveReplay": false,
        "logoImageUrl": null,
        "preCampaignVideoUrl": null,
        "preCampaignImageUrl": "https://image.shoplive.cloud/14352cf2-ef40-4ba9-93af-279a104cb3c8.png",
        "postCampaignImageUrl": "https://image.shoplive.cloud/6da19c2d-8d53-4cea-801f-7b39913f7c35.png",
        "backgroundImageUrl": "https://image.shoplive.cloud/0b1bd566-4087-40ef-b376-fb863a888d72.png",
        "ieUnsupportImageUrl": "https://image.shoplive.cloud/5a0fd01c-8889-4d28-8a15-8b7661a422a2.png",
        "scheduledStartAt": "2026-11-01T09:00:00Z",
        "scheduledEndAt": "2026-11-01T10:00:00Z",
        "campaignStartedAt": "2026-11-01T09:10:05Z",
        "campaignEndedAt": "2026-11-01T10:05:05Z",
        "createdAt": "2026-11-01T08:15:00Z",
        "updatedAt": "2026-11-01T08:29:09Z"
    },
    "stream": {
        "streamUrl": "rtmp://stream.shoplive.cloud:1935/stream",
        "streamKey": "{streamKey}",
        "videoAspectRatio": "9:16",
        "liveUrl": "https://live.shoplive.cloud/live/{streamKey}.m3u8",
        "liveUrls": {
            "720p": "https://live.shoplive.cloud/live/{streamKey}_720p/playlist.m3u8" 
        },
        "previewLiveUrl": "https://live.shoplive.cloud/live/{streamKey}_320p/index.m3u8",
        "replayLiveUrl": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/replay.m3u8?replayMode=ORIGINAL",
        "replayLiveUrls": {
            "720p": "https://private.shopliveapi.com/v1/replay/{accessKey}/{campaignKey}/ORIGINAL/720p/index.m3u8"
        },
        "previewReplayLiveUrl": "https://api.shoplive.cloud/v1/replay/{accessKey}/{campaignKey}/replay_320p/ORIGINAL/index.m3u8?preview=1"
    },
    "campaignProductList": [
        {
            "productId": "1001",
            "customerProductId": "SHOPLIVE_PRODUCT_1",
            "name": "Keyring",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU001",
            "imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 20.0,
            "discountPrice": 10.0,
            "discountRate": 50.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 1,
            "stockStatus": "SOLD_OUT",
            "auction": null
        },
        {
            "productId": "1002",
            "customerProductId": "SHOPLIVE_PRODUCT_2",
            "name": "Hoodie",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU002",
            "imageUrl": "https://image.shoplive.cloud/40afe353-0d23-47b6-acdf-10d1fca10c57.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 50.0,
            "discountPrice": 37.0,
            "discountRate": 26.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 2,
            "stockStatus": "LOW_IN_STOCK",
            "auction": null
        },
        {
            "productId": "1003",
            "customerProductId": "SHOPLIVE_PRODUCT_3",
            "name": "T-Shirts",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU003",
            "imageUrl": "https://image.shoplive.cloud/67129efb-d859-48b6-94b9-d411fb6de550.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 30.0,
            "discountPrice": 28.0,
            "discountRate": 6.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 3,
            "stockStatus": "SOLD_OUT",
            "auction": null
        },
        {
            "productId": "1004",
            "customerProductId": "SHOPLIVE_PRODUCT_4",
            "name": "Mug",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU004",
            "imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 10.0,
            "discountPrice": 7.0,
            "discountRate": 30.0,
            "enableAuction": true,
            "bidStartingPrice": 7.0,
            "bidDuration": 120,
            "bidIncrementalAmount": 1,
            "extendBidDuration": true,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 4,
            "stockStatus": "SOLD_OUT",
            "auction": {
                "productId": "1004",
                "auctionStatus": "ENDED",
                "startingPrice": 7.0,
                "bidRound": 3,
                "currentPrice": 0.0,
                "winningPrice": 9.0,
                "recommendedPrices": null,
                "winner": {
                    "uid": "350964901054939144",
                    "userId": "test@shoplive.cloud",
                    "name": "ShopliveUser-1"
                },
                "leader": null,
                "winnerCheckoutScheme": null,
                "startedAt": 1793524830000,
                "endingAt": null,
                "endedAt": 1793524950000
            }
        },
        {
            "productId": "1005",
            "customerProductId": "SHOPLIVE_PRODUCT_5",
            "name": "Ballcap",
            "brand": "SHOPLIVE",
            "description": null,
            "url": "https://www.shoplive.cloud/en",
            "sku": "SKU005",
            "imageUrl": "https://image.shoplive.cloud/ae4d67b6-9d92-4a19-a457-6566420c5b9b.jpeg",
            "currency": "USD",
            "showPrice": true,
            "originalPrice": 18.0,
            "discountPrice": 14.0,
            "discountRate": 22.0,
            "enableAuction": false,
            "bidStartingPrice": null,
            "bidDuration": null,
            "bidIncrementalAmount": null,
            "extendBidDuration": null,
            "seller": {
                "sellerId": "1",
                "name": "Shoplive Product Store",
                "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
                "storeUrl": "https://shoplive.cloud",
                "description": "Description of the seller",
                "schemes": null
            },
            "createdAt": "2026-05-20T08:01:05Z",
            "updatedAt": "2026-05-20T11:27:34Z",
            "campaignId": "1234",
            "showingNow": true,
            "sortOrder": 5,
            "stockStatus": "SOLD_OUT",
            "auction": null
        }
    ],
    "seller": {
        "sellerId": "1",
        "name": "Shoplive Product Store",
        "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
        "storeUrl": "https://shoplive.cloud",
        "description": "Description of the seller",
        "schemes": null
    }
}

前へ ← JWT トークンの発行次へ → 配信を検索

配信 API

配信を検索

GET/v2/{accessKey}/campaign

配信を検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

クエリパラメータ

from
string
配信を検索するscheduledStartAt範囲の開始(形式: YYYY-MM-DD'T'HH:mm:ss'Z'、例: 2026-05-20T08:00:00Z)
to
string
配信を検索するscheduledStartAt範囲の終了(形式: YYYY-MM-DD'T'HH:mm:ss'Z'、例: 2026-05-20T09:00:00Z)
keyword
string
配信のタイトルと説明を検索するキーワード
tags
string
検索するタグをカンマで区切って入力します。AND または OR クエリを指定するには tagSearchOperator を使用してください。
tagSearchOperator
stringenum
ANDOR
タグで検索する場合は検索演算子を指定してください。
デフォルトOR
campaignStatus
string
ステータス(RESERVED、READY、REHEARSAL、ONAIR、ENDED)。大文字と小文字は区別されません。
sellerId
integer (int64)
検索するセラーのIDです。
campaignIds
string
配信IDで検索します。カンマ区切りで複数のIDを入力できます。例: 1234,1235,1236。
campaignKeys
string
campaignIdの代わりに配信キーで検索します。カンマ区切りで複数の配信キーを入力できます。例: c7671aa83bd2,6229da3b75d4。
sortAscending
boolean
予約開始時刻の順に並べ替えます。デフォルトは false(新しい予約から)です。
デフォルトfalse
page
integer (int32)
ページネーション用のパラメータです。デフォルトは1です。
デフォルト1
count
integer (int32)
1ページに表示する結果数を指定します(最大:20)
デフォルト10

レスポンス

200 OKapplication/json

results の各項目は Campaign オブジェクト です。

オブジェクト
resultsオブジェクトの配列
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
tags
array
campaignStatus
string
rerun
boolean
他の配信を複製して作成した再配信かどうかです。
userCount
integer (int32)
配信の視聴者数です。配信中は顧客に設定された集計方式(同時視聴者数、ページビュー数または累計視聴者数)に従い、配信終了後は最終的に集計された値になります。配信開始前はnullです。
concurrentUserCount
integer (int32)
同時視聴者数です。配信中のみ提供され、それ以外はnullです。
likeCount
integer (int32)
いいね数です。配信中または終了後に提供され、開始前はnullです。
rehearsalPasscode
string
serveReplay
boolean
デフォルトtrue
logoImageUrl
brandオブジェクト
配信に設定されたブランドです。
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
updatedAt
string
preCampaignVideoUrl
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
campaignEndedAt
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
replayLiveUrls
previewReplayLiveUrl
string
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
セラーに関する説明
schemes
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← Campaign オブジェクト次へ → 配信を作成

配信 API

配信を作成

POST/v2/{accessKey}/campaign

リクエストボディの例です。

{
  "campaignMeta": {
    "title": "New campaign name here",
    "description": "Description of the campaign here",
    "tags": ["tag1", "tag2"],
    "rehearsalPasscode": "1234",
    "serveReplay": true
  }
}

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

application/json
オブジェクト
campaignMetaオブジェクト必須
title
string必須
配信のタイトル
description
string
配信の説明(配信設定のメモ)
tags
array[string]
配信に設定されたタグ情報(最大10個まで設定可能)
rehearsalPasscode
string
配信がリハーサル状態のときにアクセスするためのパスコード
serveReplay
boolean
リプレイを公開するかどうか
brandオブジェクト
brandId
integer (int64)必須
ブランドID
scheduledStartAt
string
タイムゾーンオフセット付きの ISO 8601 日時(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)です。レスポンスは UTC です。
scheduledEndAt
string
タイムゾーンオフセット付きの ISO 8601 日時(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)です。レスポンスは UTC です。
sellerオブジェクト
sellerId
integer (int64)必須
セラーID

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
campaignStatus
string
rehearsalPasscode
string
serveReplay
boolean
logoImageUrl
null
brandオブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
imageHeight
integer
createdAt
string
updatedAt
string
preCampaignVideoUrl
null
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
null
campaignEndedAt
null
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
null
replayLiveUrls
null
previewReplayLiveUrl
string
campaignProductList
array
sellerオブジェクト
sellerId
string
name
string
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信を検索次へ → 再配信を作成

配信 API

再配信を作成

POST/v2/{accessKey}/campaign/{campaignKeyOrId}/rerun

終了した配信を複製して再配信を作成します。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

application/json
オブジェクト
campaignMetaオブジェクト必須
title
string
再配信のタイトル
scheduledStartAt
string必須
再配信の開始予定時刻です(必須)。タイムゾーンオフセット付きの ISO 8601 日時(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)です。レスポンスは UTC です。
copyPopups
boolean
元の配信のポップアップをコピーするかどうかです。デフォルト値はtrueです。
デフォルトtrue
copyProducts
boolean
元の配信の商品をコピーするかどうかです。デフォルト値はtrueです。
デフォルトtrue

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
campaignStatus
string
rehearsalPasscode
string
serveReplay
boolean
logoImageUrl
null
brandオブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
imageHeight
integer
createdAt
string
updatedAt
string
preCampaignVideoUrl
null
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
null
campaignEndedAt
null
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
null
replayLiveUrls
null
previewReplayLiveUrl
string
campaignProductList
array
sellerオブジェクト
sellerId
string
name
string
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信を作成次へ → 配信情報を取得

配信 API

配信情報を取得

GET/v2/{accessKey}/campaign/{campaignKeyOrId}

配信キーまたは配信IDで配信を取得します。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

includeAuctionDetail
boolean
このパラメータをtrueに設定すると、campaignProductList内のオークション商品にオークション詳細情報が含まれます。
デフォルトfalse
resolutionLevel
integer (int32)
このパラメータはプレビュー動画URLの解像度を決定し、1(最低)から4(最高)まで指定できます。
デフォルト1

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
tags
array
description
string
campaignStatus
string
rerun
boolean
他の配信を複製して作成した再配信かどうかです。
userCount
integer (int32)
配信の視聴者数です。配信中は顧客に設定された集計方式(同時視聴者数、ページビュー数または累計視聴者数)に従い、配信終了後は最終的に集計された値になります。配信開始前はnullです。
concurrentUserCount
integer (int32)
同時視聴者数です。配信中のみ提供され、それ以外はnullです。
likeCount
integer (int32)
いいね数です。配信中または終了後に提供され、開始前はnullです。
rehearsalPasscode
string
serveReplay
boolean
デフォルトtrue
logoImageUrl
brandオブジェクト
配信に設定されたブランドです。
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
updatedAt
string
preCampaignVideoUrl
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
string
campaignEndedAt
string
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
string
replayLiveUrlsオブジェクト
480p
string
720p
string
previewReplayLiveUrl
string
campaignProductListオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
campaignId
string
showingNow
boolean
デフォルトtrue
sortOrder
integer
デフォルト0
stockStatus
string
auction
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 再配信を作成次へ → 配信を削除

配信 API

配信を削除

DELETE/v2/{accessKey}/campaign/{campaignKeyOrId}

配信を削除します。配信のcampaignStatusがREADYまたはRESERVEDの場合のみ削除でき、それ以外の場合は403(_s: -114)が返されます。再配信の元になっている配信は削除できません(403、_s: -706)。先に再配信を削除してください。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信情報を取得次へ → 配信を複製

配信 API

配信を複製

POST/v2/{accessKey}/campaign/{campaignKeyOrId}/duplicate

既存の配信を複製して新しい配信を作成します。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

duplicatePopups
boolean
配信内のポップアップを複製するかどうか
デフォルトtrue
duplicateProducts
boolean
配信内の商品を複製するかどうか
デフォルトtrue

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
tags
array
description
string
campaignStatus
string
rerun
boolean
他の配信を複製して作成した再配信かどうかです。
userCount
integer (int32)
配信の視聴者数です。配信中は顧客に設定された集計方式(同時視聴者数、ページビュー数または累計視聴者数)に従い、配信終了後は最終的に集計された値になります。配信開始前はnullです。
concurrentUserCount
integer (int32)
同時視聴者数です。配信中のみ提供され、それ以外はnullです。
likeCount
integer (int32)
いいね数です。配信中または終了後に提供され、開始前はnullです。
rehearsalPasscode
string
serveReplay
boolean
デフォルトtrue
logoImageUrl
brandオブジェクト
配信に設定されたブランドです。
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
updatedAt
string
preCampaignVideoUrl
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
string
campaignEndedAt
string
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
string
replayLiveUrlsオブジェクト
480p
string
720p
string
previewReplayLiveUrl
string
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
campaignProductCount
integer
配信に含まれる商品数
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信を削除次へ → 配信を更新

配信 API

配信を更新

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}

CampaignMetaオブジェクトの変更可能なフィールド

フィールド名 型 説明
title string 配信のタイトル
description string 配信の説明
rehearsalPasscode string リハーサルモードでライブ配信に入るためのパスコード
serveReplay boolean リプレイを公開するかどうか
scheduledStartAt string 配信の開始予定時刻。タイムゾーンオフセット付きの ISO 8601(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)。レスポンスは UTC
scheduledEndAt string 配信の終了予定時刻。タイムゾーンオフセット付きの ISO 8601(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)。レスポンスは UTC
tags array of string 配信のタグ。[] を送るとすべて削除、省略すると維持
brand object 配信のブランド({"brandId": …})。{} を送ると解除、省略すると維持

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

application/json
オブジェクト
campaignMetaオブジェクト必須
title
string
配信のタイトル
description
string
配信の説明(配信設定のメモ)
tags
array[string]
配信に設定されたタグ情報(最大10個まで設定可能)
rehearsalPasscode
string
配信がリハーサル状態のときにアクセスするためのパスコード
serveReplay
boolean
リプレイを公開するかどうか
brandオブジェクト
配信のブランド
brandId
integer (int64)
ブランドID
scheduledStartAt
string
タイムゾーンオフセット付きの ISO 8601 日時(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)です。レスポンスは UTC です。
scheduledEndAt
string
タイムゾーンオフセット付きの ISO 8601 日時(YYYY-MM-DDTHH:mm:ss±HH:MM、UTC は Z)です。レスポンスは UTC です。

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
campaignStatus
string
rehearsalPasscode
string
serveReplay
boolean
logoImageUrl
null
brandオブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
imageHeight
integer
createdAt
string
updatedAt
string
preCampaignVideoUrl
null
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
null
campaignEndedAt
null
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
null
replayLiveUrls
null
previewReplayLiveUrl
string
campaignProductList
array
seller
null
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信を複製次へ → 配信内の商品を検索

配信 API

配信内の商品を検索

GET/v2/{accessKey}/campaign/{campaignKeyOrId}/product

配信内の商品を検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

results の各項目は CampaignProduct オブジェクト です。

オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
campaignId
string
showingNow
boolean
デフォルトtrue
sortOrder
integer
デフォルト0
stockStatus
string
auction
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信を更新次へ → 配信に商品を追加

配信 API

配信に商品を追加

POST/v2/{accessKey}/campaign/{campaignKeyOrId}/product

配信に商品を追加

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
message
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信内の商品を検索次へ → 配信から商品を削除

配信 API

配信から商品を削除

DELETE/v2/{accessKey}/campaign/{campaignKeyOrId}/product

配信から商品を削除

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
message
null
status
string
successCount
integer
warnCount
integer
failCount
integer
totalCount
integer
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信に商品を追加次へ → 配信を親アカウントへ移管

配信 API

配信を親アカウントへ移管

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/transferToParent

セラーから親アカウントへ配信を移管します。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

withProduct
boolean
商品も一緒に親アカウントへ移動するかどうか
デフォルトfalse

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
campaignStatus
string
rehearsalPasscode
string
serveReplay
boolean
logoImageUrl
null
preCampaignVideoUrl
null
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
null
campaignEndedAt
null
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
null
replayLiveUrls
null
previewReplayLiveUrl
string
campaignProductList
array
seller
null
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信から商品を削除次へ → 配信内のオークション商品を検索

配信 API

配信内のオークション商品を検索

GET/v2/{accessKey}/campaign/{campaignKeyOrId}/product/auction

配信内のオークション商品を検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

groupId
integer (int64)
コンソールで設定した商品グループIDです。

レスポンス

200 OKapplication/json

results の各項目は CampaignProduct オブジェクト です。

オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
デフォルト0
bidDuration
integer
デフォルト0
bidIncrementalAmount
number
デフォルト0
extendBidDuration
boolean
デフォルトtrue
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
campaignId
string
showingNow
boolean
デフォルトtrue
sortOrder
integer
デフォルト0
stockStatus
string
auctionオブジェクト
productId
string
auctionStatus
stringenum
READYONGOINGENDINGENDED
startingPrice
number
デフォルト0
bidRound
integer
デフォルト0
currentPrice
number
デフォルト0
winningPrice
number
recommendedPrices
winnerオブジェクト
オークションで落札した入札者です。落札者が確定してオークションが終了するまではnullです。
uid
string
userId
string
入札者のユーザーIDです。
name
string
leaderオブジェクト
現在最高額で入札している入札者です。
uid
string
userId
string
入札者のユーザーIDです。
name
string
winnerCheckoutScheme
startedAt
integer (int64)
ミリ秒単位のUnixタイムスタンプ(UTC)です。
endingAt
integer (int64)
ミリ秒単位のUnixタイムスタンプ(UTC)です。
endedAt
integer (int64)
ミリ秒単位のUnixタイムスタンプ(UTC)です。
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信を親アカウントへ移管次へ → 配信からすべての商品を削除

配信 API

配信からすべての商品を削除

DELETE/v2/{accessKey}/campaign/{campaignKeyOrId}/product/all

配信からすべての商品を削除

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信内のオークション商品を検索次へ → 配信内の商品の並び順を変更

配信 API

配信内の商品の並び順を変更

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/product/order

このAPIは、まずリクエストボディで指定した順序で商品を並べ替え、その後、配信に登録されている残りの商品を元の順序のまま末尾に追加します。


customerProductIdによる並び替えの例

配信に登録されているcustomerProductId値の元の順序: sl09, sl08, sl07, sl06, sl05, sl04
リクエスト処理後のcustomerProductId値の順序: sl04, sl05, sl07, sl09, sl08, sl06

 curl --location --request PUT 
'https://private.shopliveapi.com/v2/{accessKey}/campaign/{campaignKeyOrId}/product/order'
 --header 'Accept: application/json'
 --header 'Authorization: Bearer {JWT_TOKEN}'
 --header 'Content-Type: application/json'
 --data-raw
 '[
    {"customerProductId": "sl04"},
    {"customerProductId": "sl05"},
    {"customerProductId": "sl07"}
]' 

エラーコード

HTTPステータスコード エラーコード(_s) エラーメッセージ(_e)
404 -710 配信が存在しません。
404 -848 配信に並び替える商品が見つかりません。
400 -840 リストが存在しないか、データが存在しません。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信からすべての商品を削除次へ → 進行中のオークションを取得

配信 API

進行中のオークションを取得

GET/v2/{accessKey}/campaign/{campaignKeyOrId}/product/auction/inprogress

進行中のオークションを取得

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

レスポンスボディは CampaignProduct オブジェクト です。

オブジェクト
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
デフォルト0
bidDuration
integer
デフォルト0
bidIncrementalAmount
number
デフォルト0
extendBidDuration
boolean
デフォルトtrue
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
campaignId
string
showingNow
boolean
デフォルトtrue
sortOrder
integer
デフォルト0
stockStatus
string
auctionオブジェクト
productId
string
auctionStatus
stringenum
READYONGOINGENDINGENDED
startingPrice
number
デフォルト0
bidRound
integer
デフォルト0
currentPrice
number
デフォルト0
winningPrice
number
recommendedPrices
array[number]
winnerオブジェクト
オークションで落札した入札者です。落札者が確定してオークションが終了するまではnullです。
uid
string
userId
string
入札者のユーザーIDです。
name
string
leaderオブジェクト
現在最高額で入札している入札者です。
uid
string
userId
string
入札者のユーザーIDです。
name
string
winnerCheckoutScheme
startedAt
integer
ミリ秒単位のUnixタイムスタンプ(UTC)です。
デフォルト0
endingAt
integer
ミリ秒単位のUnixタイムスタンプ(UTC)です。
デフォルト0
endedAt
integer (int64)
ミリ秒単位のUnixタイムスタンプ(UTC)です。
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信内の商品の並び順を変更次へ → 配信をセラーへ移管

配信 API

配信をセラーへ移管

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/transferToSeller/{sellerId}

配信をセラーへ移管

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID
sellerId
integer (int64)必須

クエリパラメータ

withProduct
boolean
商品も一緒にセラーへ移動するかどうか
デフォルトfalse

レスポンス

200 OKapplication/json

レスポンスボディは Campaign オブジェクト です。

オブジェクト
campaignMetaオブジェクト
campaignId
string
campaignKey
string
accessKey
string
shoplivePlayerUrl
string
title
string
description
string
campaignStatus
string
rehearsalPasscode
string
serveReplay
boolean
logoImageUrl
null
preCampaignVideoUrl
null
preCampaignImageUrl
string
postCampaignImageUrl
string
backgroundImageUrl
string
ieUnsupportImageUrl
string
scheduledStartAt
string
scheduledEndAt
string
campaignStartedAt
null
campaignEndedAt
null
createdAt
string
updatedAt
string
streamオブジェクト
streamUrl
string
streamKey
string
videoAspectRatio
string
liveUrl
string
liveUrlsオブジェクト
480p
string
720p
string
previewLiveUrl
string
replayLiveUrl
null
replayLiveUrls
null
previewReplayLiveUrl
string
campaignProductList
array
sellerオブジェクト
sellerId
string
name
string
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 進行中のオークションを取得次へ → Popup オブジェクト

ポップアップ API

配信内のポップアップを検索

GET/v2/{accessKey}/campaign/{campaignKeyOrId}/popup

配信に登録されたポップアップの一覧を取得します。レスポンスはポップアップ項目のJSON配列です。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

配列の各項目は ポップアップ一覧項目 です。

オブジェクトの配列
popupResourceId
string
ポップアップの識別子
title
string
ポップアップタイトル
description
string
ポップアップの説明
contentsオブジェクト必須
ポップアップコンテンツです。以下のフィールドはCOUPONポップアップについて説明しています。他のタイプのポップアップのコンテンツはフィールドが異なり、ここではドキュメント化されていません。
popupType
string必須
コンテンツのポップアップタイプです。最上位のpopupTypeと同じです(クーポンポップアップはCOUPON)
title
string
ポップアップコンテンツのタイトル
description
string
ポップアップコンテンツの説明
couponDeliveryType
stringenum
INSTANTDWELL_TIME
クーポン発行方式。INSTANT(即時)またはDWELL_TIME(滞在時間経過後)。値がない場合はINSTANTと同じです。
couponDeliverySeconds
integer
couponDeliveryTypeがDWELL_TIMEの場合のみ適用されます。
imageUrl
string
クーポン画像URL。作成・更新リクエストで送った外部URLはShoplive CDNのURL(image.shoplive.cloud)に変換されます。
imageWidth
integer
表示幅(px)。0(デフォルト)の場合、プレイヤーはデフォルト幅の164pxでレンダリングします。
デフォルト0
textImageListTitle
string
テキスト+画像リストのタイトル
textImageListオブジェクトの配列
テキスト+画像項目のリスト
imageUrl
string
画像URL
text
string
表示するテキスト
popupType
stringenum
TEXT_IMAGE
TEXT_IMAGE固定
デフォルトTEXT_IMAGE
action
string
クリック時の動作。自由形式の文字列です。
payload
string
クリック時のアクションのペイロード。自由形式の文字列です。
action
stringenum
CUSTOM_ACTION
CUSTOM_ACTIONまたはnull(省略)のみ許可されます。それ以外の値を送ると400が返されます。
payload
string
JSONにシリアライズされた文字列です。有効なJSONでない場合は400が返されます。クーポンをマッチングするには{"coupon":"<couponId>"}を含めてください。
link
string
非推奨。新規連携では使用しないでください。
dismissType
stringenum
KEEPAUTOMANUAL
popupType
string
ポップアップタイプです。一覧にはコンソールで作成した他のタイプのポップアップも含まれる場合があるため、COUPON以外のポップアップはスキップしてください。
dimmed
boolean
duration
integer
showingNow
boolean
現在ライブに表示中かどうか
clickCount
integer
累積クリック数
usedAt
integer (int64)
ポップアップが最初に表示された時刻です(ミリ秒単位のUnixタイムスタンプ、UTC)。一度も表示されていない場合はnullです。
createdAt
integer (int64)
ポップアップが作成された時刻です(ミリ秒単位のUnixタイムスタンプ、UTC)。
updatedAt
integer (int64)
ポップアップが最後に更新された時刻です(ミリ秒単位のUnixタイムスタンプ、UTC)。

前へ ← Popup オブジェクト次へ → クーポンポップアップを作成

ポップアップ API

クーポンポップアップを作成

POST/v2/{accessKey}/campaign/{campaignKeyOrId}/popup/coupon

クーポンポップアップを1件作成し、配信に連携します。単一トランザクションでatomicに処理され、レスポンスは作成されたポップアップの識別子のみを返します — 全体の状態を確認するにはポップアップ一覧取得(GET)エンドポイントを使用してください。

検証ルール: popupTypeは最上位・contents内部ともにCOUPONである必要があります。contents.actionはCUSTOM_ACTIONまたは省略のみ許可され、それ以外の値を送ると400が返されます。contents.payloadは値がある場合、有効なJSON文字列である必要があり、そうでない場合は400が返されます。クーポンをマッチングするには、contents.payloadに{"coupon":"<couponId>"}を含めてください。contents.imageUrlまたはcontents.imageBase64のいずれか一方のみ送信でき(両方送ると400)、外部画像はサーバーが同期的にダウンロードしてShoplive CDN(image.shoplive.cloud)に変換してから保存します。Base64画像がデコード後のバイトサイズで5MBを超えると400が返されます。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

application/json
オブジェクト
title
string
ポップアップタイトル(管理用ラベル)。任意です。
description
string
ポップアップの説明(管理用メモ)
popupType
string必須enum
COUPON
COUPON固定。それ以外の値を送ると400が返されます。
デフォルトCOUPON
contentsオブジェクト必須
ポップアップコンテンツ。popupTypeはCOUPON固定です。
popupType
string必須enum
COUPON
COUPON固定。最上位のpopupTypeと一致する必要があります。
デフォルトCOUPON
title
string
ポップアップコンテンツのタイトル
description
string
ポップアップコンテンツの説明
couponDeliveryType
stringenum
INSTANTDWELL_TIME
クーポン発行方式。INSTANT(即時)またはDWELL_TIME(滞在時間経過後)。任意で、省略した場合はINSTANTとして動作します。
couponDeliverySeconds
integer
couponDeliveryTypeがDWELL_TIMEの場合のみ適用されます。
imageUrl
string
クーポン画像URL。imageBase64と同時に使用できません(400)。PNG・JPEG・GIF、5MB以下のみ対応し、リダイレクトするURLは使用できません。外部URLはShoplive CDNのURL(image.shoplive.cloud)に自動変換されます。
imageBase64
string
Base64でエンコードされた画像(data:接頭辞なし)。PNG・JPEG・GIF、5MB以下のみ対応しています。imageUrlと同時に使用できません(400)。
imageContentType
string
画像のMIMEタイプ。任意です。
imageWidth
integer
表示幅(px)。0(デフォルト)の場合、プレイヤーはデフォルト幅の164pxでレンダリングします。
デフォルト0
textImageListTitle
string
テキスト+画像リストのタイトル
textImageListオブジェクトの配列
テキスト+画像項目のリスト
imageUrl
string
画像URL
text
string
表示するテキスト
popupType
stringenum
TEXT_IMAGE
TEXT_IMAGE固定
デフォルトTEXT_IMAGE
action
string
クリック時の動作。自由形式の文字列です。
payload
string
クリック時のアクションのペイロード。自由形式の文字列です。
action
stringenum
CUSTOM_ACTION
CUSTOM_ACTIONまたはnull(省略)のみ許可されます。それ以外の値を送ると400が返されます。
payload
string
JSONにシリアライズされた文字列です。有効なJSONでない場合は400が返されます。クーポンをマッチングするには{"coupon":"<couponId>"}を含めてください。
link
string
非推奨。新規連携では使用しないでください。
dismissType
stringenum
KEEPAUTOMANUAL
クリック時の動作。デフォルトはAUTOです。
デフォルトAUTO
dimmed
boolean
背景ディム(dim)を適用するかどうか。デフォルトはfalseです。COUPONポップアップには適用されません。
デフォルトfalse
duration
integer
表示時間(秒)。デフォルトは0(制限なし)です。
デフォルト0
broadcastStrategyオブジェクト
配信戦略。デフォルトは{"type":"ALL_AT_ONCE"}です。
type
stringenum
ALL_AT_ONCECOUNT_PER_SECONDTERM_DISTRIBUTED
配信戦略のタイプ
デフォルトALL_AT_ONCE
tags
array[string]
ポップアップに付与されたタグ一覧

レスポンス

200 OKapplication/json
オブジェクト
popupResourceId
string
作成されたポップアップの識別子
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信内のポップアップを検索次へ → クーポンポップアップを更新

ポップアップ API

クーポンポップアップを更新

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/popup/coupon/{popupResourceId}

配信に登録されたクーポンポップアップのメタデータ・コンテンツを更新します。リクエスト形式は作成(create)と同じです。id/customerId/seller/adminId/adminName/createdAt/updatedAtはサーバーが設定するため、送信する必要はありません。クーポン(COUPON)タイプのポップアップのみ更新できます。対象の{popupResourceId}がこの配信に登録されていない、またはCOUPONタイプでない場合は404が返されます。レスポンスボディはありません — 更新後の状態はポップアップ一覧取得(GET)エンドポイントで確認してください。

検証ルールは作成(create)と同じです: contents.actionはCUSTOM_ACTIONまたは省略のみ許可され、contents.payloadは値がある場合、有効なJSON文字列である必要があり、contents.imageUrl/contents.imageBase64は同時に使用できず(400)、5MB制限が適用されます。

このポップアップが他の配信にも紐付けられている場合、contents/dismissType/durationの変更は紐付けられているすべての配信に一括で反映されます。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID
popupResourceId
integer必須
ポップアップリソースID

ボディパラメータ

application/json
オブジェクト
title
string
ポップアップタイトル(管理用ラベル)。任意です。
description
string
ポップアップの説明(管理用メモ)
popupType
string必須enum
COUPON
COUPON固定。それ以外の値を送ると400が返されます。
デフォルトCOUPON
contentsオブジェクト必須
ポップアップコンテンツ。popupTypeはCOUPON固定です。
popupType
string必須enum
COUPON
COUPON固定。最上位のpopupTypeと一致する必要があります。
デフォルトCOUPON
title
string
ポップアップコンテンツのタイトル
description
string
ポップアップコンテンツの説明
couponDeliveryType
stringenum
INSTANTDWELL_TIME
クーポン発行方式。INSTANT(即時)またはDWELL_TIME(滞在時間経過後)。任意で、省略した場合はINSTANTとして動作します。
couponDeliverySeconds
integer
couponDeliveryTypeがDWELL_TIMEの場合のみ適用されます。
imageUrl
string
クーポン画像URL。imageBase64と同時に使用できません(400)。PNG・JPEG・GIF、5MB以下のみ対応し、リダイレクトするURLは使用できません。外部URLはShoplive CDNのURL(image.shoplive.cloud)に自動変換されます。
imageBase64
string
Base64でエンコードされた画像(data:接頭辞なし)。PNG・JPEG・GIF、5MB以下のみ対応しています。imageUrlと同時に使用できません(400)。
imageContentType
string
画像のMIMEタイプ。任意です。
imageWidth
integer
表示幅(px)。0(デフォルト)の場合、プレイヤーはデフォルト幅の164pxでレンダリングします。
デフォルト0
textImageListTitle
string
テキスト+画像リストのタイトル
textImageListオブジェクトの配列
テキスト+画像項目のリスト
imageUrl
string
画像URL
text
string
表示するテキスト
popupType
stringenum
TEXT_IMAGE
TEXT_IMAGE固定
デフォルトTEXT_IMAGE
action
string
クリック時の動作。自由形式の文字列です。
payload
string
クリック時のアクションのペイロード。自由形式の文字列です。
action
stringenum
CUSTOM_ACTION
CUSTOM_ACTIONまたはnull(省略)のみ許可されます。それ以外の値を送ると400が返されます。
payload
string
JSONにシリアライズされた文字列です。有効なJSONでない場合は400が返されます。クーポンをマッチングするには{"coupon":"<couponId>"}を含めてください。
link
string
非推奨。新規連携では使用しないでください。
dismissType
stringenum
KEEPAUTOMANUAL
クリック時の動作。デフォルトはAUTOです。
デフォルトAUTO
dimmed
boolean
背景ディム(dim)を適用するかどうか。デフォルトはfalseです。COUPONポップアップには適用されません。
デフォルトfalse
duration
integer
表示時間(秒)。デフォルトは0(制限なし)です。
デフォルト0
broadcastStrategyオブジェクト
配信戦略。デフォルトは{"type":"ALL_AT_ONCE"}です。
type
stringenum
ALL_AT_ONCECOUNT_PER_SECONDTERM_DISTRIBUTED
配信戦略のタイプ
デフォルトALL_AT_ONCE
tags
array[string]
ポップアップに付与されたタグ一覧

レスポンス

204 No Contentapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← クーポンポップアップを作成次へ → 配信からポップアップの紐付けを解除

ポップアップ API

ポップアップを有効化

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/popup/{popupResourceId}/activate

ポップアップをライブ視聴者に即座に表示します。呼び出し後、このポップアップのshowingNowはtrueです(ポップアップ一覧のレスポンス基準)。

冪等(Idempotent): showingNowがすでにtrueのときに再度呼び出しても、何も変更されずに204が返されます(リトライや複数回の呼び出しに対して安全です)。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID
popupResourceId
integer必須
ポップアップリソースID

クエリパラメータ

broadcastDelay
integer
ブロードキャスト遅延時間(ミリ秒)。デフォルトは0です。負の値を送ると400が返されます。
デフォルト0

レスポンス

204 No Contentapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 配信からポップアップの紐付けを解除次へ → ポップアップを無効化

ポップアップ API

ポップアップを無効化

PUT/v2/{accessKey}/campaign/{campaignKeyOrId}/popup/{popupResourceId}/deactivate

ポップアップをライブ視聴者から即座に非表示にします。呼び出し後、このポップアップのshowingNowはfalseです(ポップアップ一覧のレスポンス基準)。

冪等(Idempotent): showingNowがすでにfalseのときに再度呼び出しても、何も変更されずに204が返されます(リトライや複数回の呼び出しに対して安全です)。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID
popupResourceId
integer必須
ポップアップリソースID

クエリパラメータ

broadcastDelay
integer
ブロードキャスト遅延時間(ミリ秒)。デフォルトは0です。負の値を送ると400が返されます。
デフォルト0

レスポンス

204 No Contentapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← ポップアップを有効化次へ → Product オブジェクト

商品 API

Product オブジェクト

プロパティ名

型

説明

productId

String!

自動生成される商品の一意のIDです。

customerProductId

String?

顧客の商品IDで、一意である必要があります(顧客側で定義)。customerProductIdはProduct APIでのみ設定でき、Shoplive Adminツールにはこの項目の入力欄がありません。

name

String!

商品名です。

brand

String?

ブランド名です。

brandIdentifier

String?

顧客が設定する商品のブランドキー(識別子)です。

description

String?

商品の説明です。

url

String!

商品のURLです。Shoplive Player上で商品情報をクリックした際の遷移先URLになります。

sku

String?

商品のSKU情報です(顧客側で定義)

imageUrl

String?

商品の画像URLです。

currency

String!

価格の通貨です。

showPrice

Boolean!

Shoplive Player上で価格を表示するかどうかです。

originalPrice

Double?

例: 20.00(通貨がUSDの場合は $20.00)

discountPrice

Double?

例: 15.00(通貨がUSDの場合は $15.00)

discountRate

Double?

例: 25.00(割引率が25%の場合)

enableAuction

Boolean!

商品がオークションに対応しているかどうかです。

bidStartingPrice

Double?

オークションの開始価格です(例: 0.99)。この値はenableAuctionがtrueの場合に必須です。

bidDuration

Integer?

オークションの入札時間(秒)です。この値はenableAuctionがtrueの場合に必須です。

bidIncrementalAmount

Double?

入札の増額単位です(例: 1.00)。この値はenableAuctionがtrueの場合に必須です。

extendBidDuration

Boolean?

オークション終了間際に入札があった場合に、入札の残り時間を延長するかどうかです。延長時間は顧客のオークション設定に従います。

ctaButtonTitle

String?

商品のCTA(call-to-action)タイトルはカスタマイズできます。UIのカスタマイズが必要なため、Shopliveとの協議が必要です。この機能をご利用になりたい場合は、ask@shoplive.cloudまでお問い合わせください。

locked

Boolean!

商品が配信またはショートフォームに登録されている場合はtrueです。ロックされた商品をforce=true(デフォルト)で削除すると、配信から切り離された後に削除されます。force=falseの場合は削除されません。ショートフォームに登録された商品は削除されません。

seller

Seller?

商品を所有するセラーの情報です。

createdAt

String!

商品が作成された日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

updatedAt

String!

商品が更新された日時(形式: YYYY-MM-DD'T'HH:mm:ss'Z')


サンプル

一般商品

json
{
    "productId": "1001",
    "customerProductId": "SHOPLIVE_PRODUCT_1",
    "name": "Keyring",
    "brand": "SHOPLIVE",
    "brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
    "description": null,
    "url": "https://www.shoplive.cloud/en",
    "sku": "SKU001",
    "imageUrl": "https://image.shoplive.cloud/e05d1464-1942-4e4e-bb0b-c4310167d465.jpeg",
    "currency": "USD",
    "showPrice": true,
    "originalPrice": 20.0,
    "discountPrice": 10.0,
    "discountRate": 50.0,
    "enableAuction": false,
    "bidStartingPrice": null,
    "bidDuration": null,
    "bidIncrementalAmount": null,
  	"extendBidDuration": null,
    "ctaButtonTitle": "Buy It Now",
    "locked": false,
    "seller": {
        "sellerId": "1",
        "name": "Shoplive Product Store",
        "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
        "storeUrl": "https://shoplive.cloud",
        "description": "Description of the seller",
        "schemes": null
    },
    "createdAt": "2026-05-20T08:01:05Z",
    "updatedAt": "2026-05-20T11:27:34Z"
}

オークション商品

json
{
    "productId": "1004",
    "customerProductId": "SHOPLIVE_PRODUCT_4",
    "name": "Mug",
    "brand": "SHOPLIVE",
    "brandIdentifier": "SHOPLIVE_BRAND_IDENTIFIER",
    "description": null,
    "url": "https://www.shoplive.cloud/en",
    "sku": "SKU004",
    "imageUrl": "https://image.shoplive.cloud/b22c72c7-d2f8-49c3-83f0-314c59740649.jpeg",
    "currency": "USD",
    "showPrice": true,
    "originalPrice": 10.0,
    "discountPrice": 7.0,
    "discountRate": 30.0,
    "enableAuction": true,
    "bidStartingPrice": 7.0,
    "bidDuration": 120,
    "bidIncrementalAmount": 1.0,
    "extendBidDuration": true,
    "ctaButtonTitle": "Bid",
    "locked": false,
    "seller": {
        "sellerId": "1",
        "name": "Shoplive Product Store",
        "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
        "storeUrl": "https://shoplive.cloud",
        "description": "Description of the seller",
        "schemes": null
    },
    "createdAt": "2026-05-20T08:01:05Z",
    "updatedAt": "2026-05-20T11:27:34Z"
}

前へ ← ポップアップを無効化次へ → 商品を検索

商品 API

商品を検索

GET/v2/{accessKey}/product

商品を検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

クエリパラメータ

name
string
商品名を検索するキーワード
brand
string
商品のブランドを検索するキーワード
description
string
商品の説明を検索するキーワード
sellerId
integer (int64)
検索するセラーのID
sku
string
商品のSKUを検索するキーワード
url
string
商品のURLを検索するキーワード
sortAscending
boolean
作成順(商品ID)に並べ替えます。デフォルトは false(新しいものから)です。
デフォルトfalse
page
integer (int32)
ページネーション用のパラメータです。デフォルトは1です。
デフォルト1
count
integer (int32)
1 ページあたりの結果数を指定します(最大: 100)
デフォルト30

レスポンス

200 OKapplication/json

results の各項目は Product オブジェクト です。

オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← Product オブジェクト次へ → 商品を作成

商品 API

商品を作成

POST/v2/{accessKey}/product

商品を登録します。upsert ではないため、既に存在する customerProductId の項目は status: FAIL を返します。各項目の status は CREATE、WARN(登録されたが画像を読み込めなかった)、FAIL のいずれかです。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

項目が最低1つ必要です。

application/json
オブジェクトの配列
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。
name
string必須
商品名(必須)。値がない項目はstatusがFAILで返されます。
brand
string
ブランド名
brandIdentifier
string
ブランドキー
description
string
商品の説明
url
string必須
商品のURL(必須)。Shoplive Player上で商品情報をクリックした際の遷移先URLです。値がない場合、その項目は失敗(statusがFAIL)します。
sku
string
商品のSKU情報です(顧客側で定義)
imageUrl
string
商品のサムネイル画像URL
currency
string
価格の通貨
showPrice
boolean
価格を表示するかどうかです。
originalPrice
number (double)
例: 20.00(通貨がUSDの場合は $20.00)
discountPrice
number (double)
例: 15.00(通貨がUSDの場合は $15.00)
discountRate
number (double)
例: 25.00(割引率が25%の場合)
enableAuction
boolean
商品がオークションに対応しているかどうか
bidStartingPrice
number (double)
オークションの開始価格です(例: 0.99)。この値はenableAuctionがtrueの場合に必須です。
bidDuration
integer (int32)
オークションの入札時間(秒)です。この値はenableAuctionがtrueの場合に必須です。
bidIncrementalAmount
number (double)
入札の増額単位です(例: 1.00)。この値はenableAuctionがtrueの場合に必須です。
extendBidDuration
boolean
オークション終了間際に入札があった場合に、入札の残り時間を延長するかどうかです。延長するにはtrueを送信してください。延長時間は顧客のオークション設定に従います。
sellerオブジェクト
sellerId
integer (int64)必須
セラーID

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
message
string
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 商品を検索次へ → 商品情報を取得

商品 API

商品情報を取得

GET/v2/{accessKey}/product/{productId}

商品情報を取得

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
productId
integer (int64)必須
商品ID

レスポンス

200 OKapplication/json

レスポンスボディは Product オブジェクト です。

オブジェクト
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 商品を作成次へ → customerProductIdで商品情報を取得

商品 API

customerProductIdで商品情報を取得

GET/v2/{accessKey}/product/customerProductId/{customerProductId}

customerProductIdで商品情報を取得

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
customerProductId
string必須
顧客の商品ID

レスポンス

200 OKapplication/json

レスポンスボディは Product オブジェクト です。

オブジェクト
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 商品情報を取得次へ → 商品を更新

商品 API

商品を更新

PUT/v2/{accessKey}/product

商品を更新します。各項目は customerProductId または productId で指定し、1つのリクエストでは一方の識別子のみを使用してください。各項目の status は UPDATE または FAIL です。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID(productId または customerProductId のいずれかが必須)
customerProductId
string
顧客の商品IDで、一意である必要があります(productId または customerProductId のいずれかが必須)
name
string
商品名です。省略または空の場合は現在の名前が維持されます。
brand
string
ブランド名
brandIdentifier
string
ブランドキー
description
string
商品の説明
url
string
商品のURLです。Shoplive Player上で商品情報をクリックした際の遷移先URLになります。省略または空の場合は現在のURLが維持されます。
sku
string
商品のSKU情報です(顧客側で定義)
imageUrl
string
商品のサムネイル画像URL
currency
string
価格の通貨
showPrice
boolean
価格を表示するかどうかです。
originalPrice
number (double)
例: 20.00(通貨がUSDの場合は $20.00)
discountPrice
number (double)
例: 15.00(通貨がUSDの場合は $15.00)
discountRate
number (double)
例: 25.00(割引率が25%の場合)
enableAuction
boolean
商品がオークションに対応しているかどうか
bidStartingPrice
number (double)
オークションの開始価格です(例: 0.99)。この値はenableAuctionがtrueの場合に必須です。
bidDuration
integer (int32)
オークションの入札時間(秒)です。この値はenableAuctionがtrueの場合に必須です。
bidIncrementalAmount
number (double)
入札の増額単位です(例: 1.00)。この値はenableAuctionがtrueの場合に必須です。
extendBidDuration
boolean
オークション終了間際に入札があった場合に、入札の残り時間を延長するかどうかです。trueでオン、falseでオフになり、省略した場合は商品の現在の設定が維持されます。延長時間は顧客のオークション設定に従います。
sellerオブジェクト
sellerId
integer (int64)必須
セラーID

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
name
string
brand
string
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
bidIncrementalAmount
number
extendBidDuration
locked
boolean
デフォルトtrue
seller
createdAt
string
updatedAt
string
message
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← customerProductIdで商品情報を取得次へ → 商品を削除

商品 API

商品を削除

DELETE/v2/{accessKey}/product

商品を削除します。各項目は customerProductId または productId で指定し、1つのリクエストでは一方の識別子のみを使用してください。各項目の status は DELETE または FAIL です。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

クエリパラメータ

force
boolean
強制的に削除するかどうかです。true(デフォルト)の場合、配信に登録されている商品はその配信から切り離された後に削除されます。falseの場合、配信に登録されている商品は削除されず、失敗した項目(results[]でstatusがFAIL)として返されます。ショートフォームに登録されている商品は、この値に関係なく削除されません。
デフォルトtrue

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
message
string
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 商品を更新次へ → 商品をセラーへ移管

商品 API

商品をセラーへ移管

PUT/v2/{accessKey}/product/transferToSeller/{sellerId}

商品をセラーへ移管

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
sellerId
integer (int64)必須

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
message
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 商品を削除次へ → 商品を親アカウントへ移管

商品 API

商品を親アカウントへ移管

PUT/v2/{accessKey}/product/transferToParent

商品を親アカウントへ移管

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
customerProductId
string
name
string
brand
string
brandIdentifier
string
商品のブランドキー(識別子)です。
description
string
url
string
sku
string
imageUrl
string
currency
string
showPrice
boolean
デフォルトtrue
originalPrice
number
デフォルト0
discountPrice
number
デフォルト0
discountRate
number
デフォルト0
enableAuction
boolean
デフォルトtrue
bidStartingPrice
number
bidDuration
integer (int32)
bidIncrementalAmount
number
extendBidDuration
boolean
ctaButtonTitle
string
商品に表示されるCTA(call-to-action)ボタンのタイトルです。
locked
boolean
デフォルトtrue
sellerオブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
createdAt
string
updatedAt
string
message
string
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 商品をセラーへ移管次へ → 配信/リハーサルを開始

コンソール API

配信/リハーサルを開始

POST/v2/{accessKey}/console/{campaignKeyOrId}/start

配信を開始します。リハーサルとして開始するには rehearsal=true を付けてください。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

rehearsal
boolean
配信をリハーサルとして開始するかどうか
デフォルトfalse

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← 商品を親アカウントへ移管次へ → コンソールで商品の在庫状態を変更

コンソール API

コンソールで商品の在庫状態を変更

PUT/v2/{accessKey}/console/{campaignKeyOrId}/product/stockStatus

コンソールで商品の在庫状態を変更

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

stockStatus
stringenum
IN_STOCKLOW_IN_STOCKSOLD_OUT
リストに含まれるすべての商品に適用する在庫状態です。デフォルト値はSOLD_OUTです。
デフォルトSOLD_OUT

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
オブジェクト
resultsオブジェクトの配列
productId
string
message
status
string
successCount
integer
デフォルト0
warnCount
integer
デフォルト0
failCount
integer
デフォルト0
totalCount
integer
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信/リハーサルを開始次へ → コンソールで商品の「Now」表示を切り替え

コンソール API

コンソールで商品の「Now」表示を切り替え

PUT/v2/{accessKey}/console/{campaignKeyOrId}/product/show

コンソールで商品の「Now」表示を切り替え

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

show
boolean
商品の「Now」ステータスを表示するかどうか
デフォルトtrue

ボディパラメータ

項目が最低1つ必要です。各項目はproductIdまたはcustomerProductIdのいずれかを指定し、1つのリクエストではすべての項目で同じ種類の識別子を使用してください。

application/json
オブジェクトの配列
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← コンソールで商品の在庫状態を変更次へ → 配信/リハーサルを終了

コンソール API

配信/リハーサルを終了

POST/v2/{accessKey}/console/{campaignKeyOrId}/end

配信を終了します。リハーサルを終了すると配信は READY に戻ります。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← コンソールで商品の「Now」表示を切り替え次へ → コンソールで全商品の「Now」表示を切り替え

コンソール API

コンソールで全商品の「Now」表示を切り替え

PUT/v2/{accessKey}/console/{campaignKeyOrId}/product/showAll

コンソールで全商品の「Now」表示を切り替え

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

クエリパラメータ

show
boolean
商品の「Now」ステータスを表示するかどうか
デフォルトtrue

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← 配信/リハーサルを終了次へ → オークションを開始

コンソール API

オークションを開始

PUT/v2/{accessKey}/console/{campaignKeyOrId}/product/auction/start

オークションを開始

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

productIdまたはcustomerProductIdのいずれかを指定します(どちらか一方が必須)。両方を指定した場合はcustomerProductIdが使用されます。

application/json
オブジェクト
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← コンソールで全商品の「Now」表示を切り替え次へ → オークションを終了

コンソール API

オークションを終了

PUT/v2/{accessKey}/console/{campaignKeyOrId}/product/auction/end

オークションを終了

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
campaignKeyOrId
string必須
配信キーまたは配信ID

ボディパラメータ

productIdまたはcustomerProductIdのいずれかを指定します(どちらか一方が必須)。両方を指定した場合はcustomerProductIdが使用されます。

application/json
オブジェクト
productId
integer (int64)
自動生成される一意の商品ID
customerProductId
string
顧客の商品IDで、一意である必要があります(顧客側で定義)。

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← オークションを開始次へ → Seller オブジェクト

セラー API

Seller オブジェクト

プロパティ名

型

説明

sellerId

String!

自動的に生成されるセラーの識別子です。(数字形式の文字列、例: "1")

name

String!

セラーの名前です。

profileUrl

String?

セラーのプロフィール画像URLです。

storeUrl

String?

セラーのストアURLです。

description

String?

セラーに関する説明です。

schemes

Map<String, String>?

プレイヤーで各ボタンをクリックしたときにセラーのページへ遷移するアプリスキームです。

sellerIdentifier

String?

セラーの文字列識別子です。


サンプル

json
{
    "sellerId": "1",
    "name": "Shoplive Product Store",
    "profileUrl": "https://image.shoplive.cloud/7910e586-19a4-4740-804b-5f9da02e6939.jpg",
    "storeUrl": "https://shoplive.cloud",
    "description": "Description of the seller",
    "schemes": {},
    "sellerIdentifier": "Identifier_of_the_seller"
}

前へ ← オークションを終了次へ → セラーを検索

セラー API

セラーを検索

GET/v2/{accessKey}/seller

セラーを検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

クエリパラメータ

keyword
string
セラー名を検索するキーワード
sortAscending
boolean
作成順(セラーID)に並べ替えます。デフォルトは false(新しいものから)です。
デフォルトfalse
page
integer (int32)
ページネーション用のパラメータです。デフォルトは1です。
デフォルト1
count
integer (int32)
1ページに表示する結果数を指定します(最大:20)
デフォルト10

レスポンス

200 OKapplication/json

results の各項目は Seller オブジェクト です。

オブジェクト
resultsオブジェクトの配列
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
totalCount
integer
検索条件に一致するセラーの総数です。
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← Seller オブジェクト次へ → セラーを作成

セラー API

セラーを作成

POST/v2/{accessKey}/seller

セラーを作成

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

application/json
オブジェクト
name
string必須
セラーの名前
profileUrl
string
セラーのプロフィール画像URL
storeUrl
string
セラーのストアURL
description
string
セラーに関する説明

レスポンス

200 OKapplication/json

レスポンスボディは Seller オブジェクト です。

オブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← セラーを検索次へ → セラーを更新

セラー API

セラーを更新

PUT/v2/{accessKey}/seller/{sellerId}

セラーを更新

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
sellerId
integer (int64)必須
セラーID

ボディパラメータ

application/json
オブジェクト
name
string
セラーの名前
profileUrl
string
セラーのプロフィール画像URL
storeUrl
string
セラーのストアURL
description
string
セラーに関する説明

レスポンス

200 OKapplication/json

レスポンスボディは Seller オブジェクト です。

オブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← セラーを作成次へ → セラーを削除

セラー API

セラーを削除

DELETE/v2/{accessKey}/seller/{sellerId}

セラーを削除します。削除したセラーはセラー検索に表示されず、取得・更新できません。レスポンスボディはありません。

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
sellerId
integer (int64)必須
セラーID

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← セラーを更新次へ → セラー情報を取得

セラー API

セラー情報を取得

GET/v2/{accessKey}/seller/{sellerId}

セラー情報を取得

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
sellerId
integer (int64)必須
セラーID

レスポンス

200 OKapplication/json

レスポンスボディは Seller オブジェクト です。

オブジェクト
sellerId
string
name
string
sellerIdentifier
string
顧客が定義したセラー識別子です。
profileUrl
string
storeUrl
string
description
string
schemes
オブジェクト
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← セラーを削除次へ → Brand オブジェクト

ブランド API

Brand オブジェクト

プロパティ名

型

説明

brandId

String!

自動的に生成されるブランドの固有IDです。読み取り専用です。

name

String!

ブランド名です。最大255文字

identifier

String!

ブランドの識別子です。 

description

String?

ブランドに関する説明です。

imageUrl

String!

ブランドの画像URLです。

imageWidth

Integer!

ブランド画像の幅(ピクセル)です。自動的に生成されます。読み取り専用です。

imageHeight

Integer!

ブランド画像の高さ(ピクセル)です。自動的に生成されます。読み取り専用です。

createdAt

String!

ブランドの作成日時です。読み取り専用です。(形式: YYYY-MM-DD'T'HH:mm:ss'Z')

updatedAt

String!

ブランドの更新日時です。読み取り専用です。(形式: YYYY-MM-DD'T'HH:mm:ss'Z')



サンプル

json
{
    "brandId": "1",
    "name": "Shoplive",
    "identifier": "shoplive_brand",
    "description": "Shoplive Brand.",
    "imageUrl": "https://image.shoplive.cloud/{UUID}.png",
    "imageWidth": 2110,
    "imageHeight": 317,
    "createdAt": "2026-02-01T08:34:33Z",
    "updatedAt": "2026-02-22T08:09:38Z"
}

前へ ← セラー情報を取得次へ → ブランドを検索

ブランド API

ブランドを検索

GET/v2/{accessKey}/brand

ブランドを検索

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

クエリパラメータ

keyword
string
ブランドの名前、識別子、説明を検索するキーワード
sortAscending
boolean
作成順(ブランドID)に並べ替えます。デフォルトは false(新しいものから)です。
デフォルトfalse
page
integer (int32)
ページネーション用のパラメータです。デフォルトは1です。
デフォルト1
count
integer (int32)
1ページに表示する結果数を指定します(最大:20)
デフォルト10

レスポンス

200 OKapplication/json

results の各項目は Brand オブジェクト です。

オブジェクト
resultsオブジェクトの配列
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
作成日時です(オフセット付きISO 8601日時)
updatedAt
string
最終更新日時です(オフセット付きISO 8601日時)
totalCount
integer
検索条件に一致するブランドの総数です。
デフォルト0
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← Brand オブジェクト次へ → ブランドを作成

ブランド API

ブランドを作成

POST/v2/{accessKey}/brand

ブランドを作成

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey

ボディパラメータ

application/json
オブジェクト
name
string必須
ブランドの名前
imageUrl
string必須
ブランドの画像URL
identifier
string必須
ブランドの識別子
description
string
ブランドに関する説明

レスポンス

200 OKapplication/json

レスポンスボディは Brand オブジェクト です。

オブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
作成日時です(オフセット付きISO 8601日時)
updatedAt
string
最終更新日時です(オフセット付きISO 8601日時)
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← ブランドを検索次へ → ブランドを取得

ブランド API

ブランドを取得

GET/v2/{accessKey}/brand/{brandId}

ブランドを取得

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
brandId
integer (int64)必須
取得するブランドのID

レスポンス

200 OKapplication/json

レスポンスボディは Brand オブジェクト です。

オブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
作成日時です(オフセット付きISO 8601日時)
updatedAt
string
最終更新日時です(オフセット付きISO 8601日時)
4XX Client Errorapplication/json
オブジェクト
_s
integer
_e
string

前へ ← ブランドを作成次へ → ブランド情報を更新

ブランド API

ブランド情報を更新

PUT/v2/{accessKey}/brand/{brandId}

ブランド情報を更新

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
brandId
integer (int64)必須
更新するブランドのID

ボディパラメータ

application/json
オブジェクト
name
string
ブランドの名前
imageUrl
string
ブランドの画像URL
identifier
string
ブランドの識別子
description
string
ブランドに関する説明

レスポンス

200 OKapplication/json

レスポンスボディは Brand オブジェクト です。

オブジェクト
brandId
string
name
string
identifier
string
description
string
imageUrl
string
imageWidth
integer
デフォルト0
imageHeight
integer
デフォルト0
createdAt
string
作成日時です(オフセット付きISO 8601日時)
updatedAt
string
最終更新日時です(オフセット付きISO 8601日時)
4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← ブランドを取得次へ → ブランドを削除

ブランド API

ブランドを削除

DELETE/v2/{accessKey}/brand/{brandId}

ブランドを削除

ヘッダーパラメータ

Authorization
string必須
JWTトークン

パスパラメータ

accessKey
string必須
顧客のaccessKey
brandId
integer (int64)必須
削除するブランドのID

レスポンス

200 OKapplication/json

レスポンスボディなし

4XX Client Errorapplication/json
オブジェクト
_s
integer
デフォルト0
_e
string

前へ ← ブランド情報を更新次へ → Shortform オブジェクト

ショートフォーム API

Shortform オブジェクト

Shortform オブジェクトには、個々のショートフォームを構成する動画とさまざまなメタデータが含まれています。このオブジェクトを使用すると、複数のサムネイルで構成されたプレビュー画面を作成したり、個々のショートフォームを再生するためのフィードを構築したりできます。ショートフォームの検索・取得・作成・更新APIがこのオブジェクトを返します。

ショートフォームはAPIで直接作成・更新・削除することもできます(ショートフォームの作成、ショートフォームの更新、ショートフォームの削除)。


Shortform オブジェクト

プロパティ名

型

説明

shortformId

String!

Shoplive システムが各ショートフォームに割り当てる一意の ID です。

createdAt

String!

ショートフォームが作成された日時で、次の形式に従います: (形式: YYYY-MM-DD'T'HH:mm:ss'Z'、例: 2026-12-25T08:00:00Z)

updatedAt

String!

ショートフォームが更新された日時で、次の形式に従います: (形式: YYYY-MM-DD'T'HH:mm:ss'Z'、例: 2026-12-25T08:00:00Z)

status

String!

ショートフォームの表示状態を示すステータスフラグ(OPEN | HIDDEN | SCHEDULED)

details

Details オブジェクト

各ショートフォームの詳細情報には、次のプロパティが含まれます。

  • title

  • description

  • brand

  • tags

  • productCount

  • productBanner

  • products

activity

Activity オブジェクト

各ショートフォームに関連するアクティビティ情報には、次のプロパティが含まれます。

  • viewCount

  • likeCount

  • commentCount

  • bookmarkCount

  • shareCount

video

Video オブジェクト

ショートフォームに関連する動画には、次のプロパティが含まれます。

  • duration

  • videoId

  • videoUrl

  • previewVideoUrl

  • screenshotUrl

Details オブジェクト

各ショートフォームの詳細情報には、次のプロパティが含まれます。

プロパティ名

型

説明

title

String!

ショートフォームのタイトル

description

String?

ショートフォームの説明

brand

brand

ショートフォームに設定されたブランド情報

tags

List<String>?

ショートフォームに設定されたタグ情報

productCount

Integer!

ショートフォームに設定された商品数

productBanner

productBanner

ショートフォームに設定された商品バナー情報

products

products

ショートフォームに関連する商品の情報です。

Activity オブジェクト

各ショートフォームのactivityには、次のプロパティが含まれます。ショートフォームを検索が返す項目にはviewCountのみが含まれます。likeCount、commentCount、bookmarkCount、shareCountはショートフォームを取得を呼び出して取得してください。

プロパティ名

型

説明

viewCount

Integer!

ショートフォームを視聴したユーザー数

likeCount

Integer!

ショートフォームにいいねが押された回数(検索 API では提供されません)

commentCount

Integer!

ショートフォームに付いたコメント数(検索 API では提供されません)

bookmarkCount

Integer!

ショートフォームがブックマークされた回数(検索 API では提供されません)

shareCount

Integer!

ショートフォームがシェアされた回数(検索 API では提供されません)

Video オブジェクト

ショートフォームに関連する動画には、次のプロパティが含まれます。

プロパティ名

型

説明

duration

Integer!

ショートフォーム動画の総再生時間(ミリ秒単位)です。

videoId

String!

Shoplive が管理するショートフォーム動画の一意の動画ID(文字列)です。

videoUrl

String!

ショートフォーム動画の再生 URL(m3u8)です。これはショートフォームの元の動画であり、プレビュー画面用に使用しないでください。 フィードのクライアント実装に使用することを推奨します。Adaptive Bitrate は別途手動で実装する必要があります。

previewVideoUrl

String!

ショートフォーム動画のプレビュー動画 URL(m3u8)です。この URL はプレビュー画面用に低解像度(320P)の動画を再生するために使用されます。 X 秒の長さの動画を繰り返し再生する必要がある場合は、別途手動で実装する必要があります。

screenshotUrl

String!

ショートフォーム動画のサムネイル画像を表示するための URL です。

Brand オブジェクト

プロパティ名

型

説明

brandId

String!

ブランドID

identifier

String!

ブランド識別用の一意の文字列

name

String!

ブランド名

imageUrl

String!

ブランド画像 URL

ProductBanner オブジェクト

商品バナーは、商品一覧が表示される UI の上部に表示できるバナーです。主に商品キャンペーンやプロモーションページで、バナーにリンクを設定して使用します。

プロパティ名

型

説明

title

String!

商品バナーのタイトル

imageUrl

String!

商品バナーの画像URL

scheme

String!

商品バナーをクリックしたときに遷移するURLまたはスキームです。

Products オブジェクト

検索APIの結果のproductsにはショートフォームごとに商品が1つだけ含まれます。すべての商品はショートフォーム取得APIで確認してください。

プロパティ名

型

説明

productId

String!

Shopliveシステムが管理する商品の固有IDです。

name

String!

商品のタイトル

brand

String!

商品のブランド情報

url

String!

商品の詳細ページURL

sku

String!

商品のSKU情報

imageUrl

String!

商品の画像URL

currency

String!

商品の通貨情報

showPrice

Boolean!

商品価格を表示するかどうかを示すフラグです(true | false)。

originalPrice

Double!

商品の元の価格

discountPrice

Double!

商品の割引後の価格

discountRate

Double!

商品価格の割引率

stockStatus

String!

商品の在庫状態(IN_STOCK | LOW_IN_STOCK | SOLD_OUT)


サンプル

json
{
    "shortformId": "123456789012345678",
    "createdAt": "2026-12-25T08:00:00Z", 
    "updatedAt": "2026-12-26T08:00:00Z",
    "status": "OPEN",
    "details": {
        "title": "Shortform Title",
        "description": "This is a sample description",
        "brand": {
            "brandId": "123",
            "identifier": "shoplive", 
            "name": "Shoplive",
            "imageUrl": "https://image.shoplive.cloud/brand-image.png"
        },
        "tags": [ "food", "snack" ],
        "productCount": 3,
        "productBanner": {
            "title": "Product Banner Title",
            "imageUrl": "https://image.shoplive.cloud/product-banner-image.png",
[...]
